### Constructor

# Ide EditorSearch new

#### Declaration

    IdeEditorSearch*
    ide_editor_search_new (
      GtkSourceView* view
    )

#### Description

Creates a new `IdeEditorSearch` instance for the `GtkSourceView`. You should only create one of these per `IdeEditorView`.

Available since: | 3.32

#### Parameters

`view` | `GtkSourceView`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `IdeEditorSearch`
| A new `IdeEditorSearch` instance.
| The caller of the function takes ownership of the data, and is responsible for freeing it.